X2Go Bug report logs - #688
x2go goes to an infinite loop when using el7 and domain login

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Cristian Falcas <cristi.falcas@gmail.com>

Date: Wed, 3 Dec 2014 13:10:01 UTC

Severity: normal

Tags: moreinfo, pending

Fixed in version 4.0.1.19

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#688; Package x2goserver. (Wed, 03 Dec 2014 13:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Falcas <cristi.falcas@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 03 Dec 2014 13:10:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Cristian Falcas <cristi.falcas@gmail.com>
To: submit@bugs.x2go.org
Subject: x2go goes to an infinite loop when using el7 and domain login
Date: Wed, 3 Dec 2014 15:05:36 +0200
[Message part 1 (text/plain, inline)]
Package: x2goserver

Version: 4.0.1.18-3.el7.x86_64


x2go is installed in OracleLinux 7 from epel rpms.

When trying to connect with a domain account (login uses sssd for
authentication) x2gostartagent enters in an infinite loop.

ps fax output for 2 tries:

28042 ?        Ss     0:00 sh -c echo
X2GODATABEGIN:97f2b66d-fc40-4bca-b62c-b607ba312cc3;
PATH=/usr/local/bin:/usr/bin:/bin x2gostartagent 1024x
768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both; echo
X2GODATAEND:97f2b66d-fc40-4bca-b62c-b607ba312cc3
28071 ?        S      0:10  \_ /bin/bash /usr/bin/x2gostartagent
1024x768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both
24430 ?        S      0:00      \_ /bin/bash /usr/bin/x2gostartagent
1024x768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both
24431 ?        R      0:00          \_ /usr/bin/perl
/usr/lib64/x2go/x2gogetports v-is-puppet-02.synygy.net


 6226 ?        Ss     0:00 sh -c echo
X2GODATABEGIN:e04690c6-3a9d-4963-9a1e-fc5f14b117bf;
PATH=/usr/local/bin:/usr/bin:/bin x2gostartagent 1024x
768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both; echo
X2GODATAEND:e04690c6-3a9d-4963-9a1e-fc5f14b117bf
 6257 ?        S      0:02  \_ /bin/bash /usr/bin/x2gostartagent
1024x768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both
24434 ?        R      0:00      \_ /usr/bin/perl
/usr/lib64/x2go/x2gogetdisplays v-is-puppet-02.synygy.net


Output from "timeout 1 strace -f -p 28071" is at http://pastebin.com/d7XvS7Kt

Thank you,
Cristian Falcas
[strace.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#688; Package x2goserver. (Thu, 08 Jan 2015 22:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 22:55:01 GMT) Full text and rfc822 format available.

Message #10 received at 688@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Cristian Falcas <cristi.falcas@gmail.com>, 688@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#688: x2go goes to an infinite loop when using el7 and domain login
Date: Thu, 08 Jan 2015 22:50:35 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 moreinfo

Hi Christian

On  Mi 03 Dez 2014 14:05:36 CET, Cristian Falcas wrote:

> Package: x2goserver
>
> Version: 4.0.1.18-3.el7.x86_64
>
>
> x2go is installed in OracleLinux 7 from epel rpms.
>
> When trying to connect with a domain account (login uses sssd for
> authentication) x2gostartagent enters in an infinite loop.
>
> ps fax output for 2 tries:
>
> 28042 ?        Ss     0:00 sh -c echo
> X2GODATABEGIN:97f2b66d-fc40-4bca-b62c-b607ba312cc3;
> PATH=/usr/local/bin:/usr/bin:/bin x2gostartagent 1024x
> 768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both; echo
> X2GODATAEND:97f2b66d-fc40-4bca-b62c-b607ba312cc3
> 28071 ?        S      0:10  \_ /bin/bash /usr/bin/x2gostartagent
> 1024x768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both
> 24430 ?        S      0:00      \_ /bin/bash /usr/bin/x2gostartagent
> 1024x768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both
> 24431 ?        R      0:00          \_ /usr/bin/perl
> /usr/lib64/x2go/x2gogetports v-is-puppet-02.synygy.net
>
>
>  6226 ?        Ss     0:00 sh -c echo
> X2GODATABEGIN:e04690c6-3a9d-4963-9a1e-fc5f14b117bf;
> PATH=/usr/local/bin:/usr/bin:/bin x2gostartagent 1024x
> 768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both; echo
> X2GODATAEND:e04690c6-3a9d-4963-9a1e-fc5f14b117bf
>  6257 ?        S      0:02  \_ /bin/bash /usr/bin/x2gostartagent
> 1024x768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both
> 24434 ?        R      0:00      \_ /usr/bin/perl
> /usr/lib64/x2go/x2gogetdisplays v-is-puppet-02.synygy.net
>
>
> Output from "timeout 1 strace -f -p 28071" is at http://pastebin.com/d7XvS7Kt
>
> Thank you,
> Cristian Falcas

The recent versions of the CINNAMON desktop are not support in X2Go  
(resp. the underlying NX).

Please re-test with LXDE, XFCE, MATE or KDE and report back if you  
observe the same issue.

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 688-submit@bugs.x2go.org. (Thu, 08 Jan 2015 22:55:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#688; Package x2goserver. (Thu, 08 Jan 2015 23:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Falcas <cristi.falcas@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 23:10:02 GMT) Full text and rfc822 format available.

Message #17 received at 688@bugs.x2go.org (full text, mbox):

From: Cristian Falcas <cristi.falcas@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 688@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#688: x2go goes to an infinite loop when using el7 and domain login
Date: Fri, 9 Jan 2015 01:09:21 +0200
Hi Mike,

This is not related to CINNAMON . It's a login name issue. I've
already tested with multiple desktops and the problem is the same.

In a previous email you asked for some tests from my part, but I
forgot completely. I'm sorry about that. I will respond to them in the
next days.

Best regards,
Cristian Falcas



On Fri, Jan 9, 2015 at 12:50 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Control: tag -1 moreinfo
>
> Hi Christian
>
> On  Mi 03 Dez 2014 14:05:36 CET, Cristian Falcas wrote:
>
>> Package: x2goserver
>>
>> Version: 4.0.1.18-3.el7.x86_64
>>
>>
>> x2go is installed in OracleLinux 7 from epel rpms.
>>
>> When trying to connect with a domain account (login uses sssd for
>> authentication) x2gostartagent enters in an infinite loop.
>>
>> ps fax output for 2 tries:
>>
>> 28042 ?        Ss     0:00 sh -c echo
>> X2GODATABEGIN:97f2b66d-fc40-4bca-b62c-b607ba312cc3;
>> PATH=/usr/local/bin:/usr/bin:/bin x2gostartagent 1024x
>> 768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both; echo
>> X2GODATAEND:97f2b66d-fc40-4bca-b62c-b607ba312cc3
>> 28071 ?        S      0:10  \_ /bin/bash /usr/bin/x2gostartagent
>> 1024x768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both
>> 24430 ?        S      0:00      \_ /bin/bash /usr/bin/x2gostartagent
>> 1024x768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both
>> 24431 ?        R      0:00          \_ /usr/bin/perl
>> /usr/lib64/x2go/x2gogetports v-is-puppet-02.synygy.net
>>
>>
>>  6226 ?        Ss     0:00 sh -c echo
>> X2GODATABEGIN:e04690c6-3a9d-4963-9a1e-fc5f14b117bf;
>> PATH=/usr/local/bin:/usr/bin:/bin x2gostartagent 1024x
>> 768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both; echo
>> X2GODATAEND:e04690c6-3a9d-4963-9a1e-fc5f14b117bf
>>  6257 ?        S      0:02  \_ /bin/bash /usr/bin/x2gostartagent
>> 1024x768 lan nopack unix-kde-depth_16 us pc105/us 1 D CINNAMON both
>> 24434 ?        R      0:00      \_ /usr/bin/perl
>> /usr/lib64/x2go/x2gogetdisplays v-is-puppet-02.synygy.net
>>
>>
>> Output from "timeout 1 strace -f -p 28071" is at
>> http://pastebin.com/d7XvS7Kt
>>
>> Thank you,
>> Cristian Falcas
>
>
> The recent versions of the CINNAMON desktop are not support in X2Go (resp.
> the underlying NX).
>
> Please re-test with LXDE, XFCE, MATE or KDE and report back if you observe
> the same issue.
>
> Thanks,
> Mike
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#688; Package x2goserver. (Thu, 08 Jan 2015 23:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 23:55:02 GMT) Full text and rfc822 format available.

Message #22 received at 688@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Cristian Falcas <cristi.falcas@gmail.com>
Cc: 688@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#688: x2go goes to an infinite loop when using el7 and domain login
Date: Thu, 08 Jan 2015 23:53:17 +0000
[Message part 1 (text/plain, inline)]
On  Fr 09 Jan 2015 00:09:21 CET, Cristian Falcas wrote:

> Hi Mike,
>
> This is not related to CINNAMON . It's a login name issue. I've
> already tested with multiple desktops and the problem is the same.
>
> In a previous email you asked for some tests from my part, but I
> forgot completely. I'm sorry about that. I will respond to them in the
> next days.
>
> Best regards,
> Cristian Falcas

It would be great if you could build the X2Go Server code from branch

  release/4.0.1.x

from source as RPM packages and test with those. Unfortunately, this  
is not trivial if you grab X2Go Server code from x2goserver.git on  
git.x2go.org

There is a chance that we fixed your issues in upcoming release  
4.0.1.19. Maybe you wait for the 4.0.1.19 release and report back  
then...

Mike




-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#688; Package x2goserver. (Mon, 23 Feb 2015 11:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Falcas <cristi.falcas@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 23 Feb 2015 11:25:02 GMT) Full text and rfc822 format available.

Message #27 received at 688@bugs.x2go.org (full text, mbox):

From: Cristian Falcas <cristi.falcas@gmail.com>
To: 688@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#688: x2go goes to an infinite loop when using el7 and domain login
Date: Mon, 23 Feb 2015 13:24:26 +0200
I've tested this with the latest sources (git tag x2goserver-89af59d)
and it's fixed.

Thank you,
Cristian Falcas


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 10 Aug 2016 01:45:01 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.19. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 10 Aug 2016 01:45:01 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 10 Aug 2016 01:45:01 GMT) Full text and rfc822 format available.

Notification sent to Cristian Falcas <cristi.falcas@gmail.com>:
Bug acknowledged by developer. (Wed, 10 Aug 2016 01:45:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 07 Sep 2016 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 14:26:43 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.